# $Revision: 1.14 $, $Date: 2007-12-30 19:51:00 $
Summary:	KDM Theme Settings Module
Summary(pl.UTF-8):	Moduł ustawień motywów KDM
Name:		kdmtheme
Version:	1.2.2
Release:	1
License:	GPL
Group:		Applications
Source0:	http://beta.smileaf.org/files/kdmtheme/%{name}-%{version}.tar.bz2
# Source0-md5:	292188b0a74b865ec7429077ff5e02b7
Patch0:		kde-ac260-lt.patch
URL:		http://www.kde-look.org/content/show.php?content=22120
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.4.0
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	kdm >= 9:3.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This control module allows you to easily add, remove and select any
KDM theme you want.

%description -l pl.UTF-8
Ten moduł ustawień pozwala na łatwe zarządzanie motywami KDM.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub admin

# fix for wrong autoconf, autoheader and automake version
%{__sed} -i \
	-e 's:autoconf\*2\.5\*:autoconf*:g' \
	-e 's:autoheader\*2\.5\*:autoheader*:g' \
	-e 's:automake\*1\.6\.\*:automake*1.*:g' \
	admin/cvs.sh

%{__make} -f admin/Makefile.common cvs

%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}} \
	$RPM_BUILD_ROOT%{_datadir}/config/kdm

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir} \
	kdelnkdir=%{_desktopdir} \

%find_lang %{name} --with-kde

#shortcut to make kdmtheme applet work
ln -sf %{_sysconfdir}/X11/kdm/kdmrc $RPM_BUILD_ROOT%{_datadir}/config/kdm/kdmrc

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde3/kcm_kdmtheme.so
%{_libdir}/kde3/kcm_kdmtheme.la
%{_desktopdir}/kde/kdmtheme.desktop
%{_datadir}/config/kdm

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdmtheme.spec,v $
Revision 1.14  2007-12-30 19:51:00  arvenil
- up to 1.2.2

Revision 1.13  2007-10-16 14:13:08  arvenil
- up to 1.2.1
- added patch: kde-ac260-lt.patch
- better use of sed
- adapter

Revision 1.12  2007/04/27 10:47:53  shadzik
- 1.1.3

Revision 1.11  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.9  2007/01/05 21:09:14  pascalek
- just use newer auto* tools

Revision 1.8  2006/09/06 17:14:55  shadzik
- updated kdelibs-devel BR to >= 3.4.0. why ? kdmtheme requires kdm >= 3.4 and i don't know
  anyone who has kde 3.2 with kdm 3.4

Revision 1.7  2006/06/21 16:57:01  shadzik
- up to 1.1.2

Revision 1.6  2006/06/21 10:00:31  shadzik
- up to 1.1.1

Revision 1.5  2006/03/25 00:08:51  undefine
- up to 1.0.1 by swiatek@informatik.hu-berlin.de

Revision 1.4  2005/11/24 12:07:38  czarny
- added symlinkt to kdmrc to make it work
- works 4 me
- STBR

Revision 1.3  2005/10/04 07:31:40  prism
- 0.9.1
- doesn't work for me (it cannot take root's rights after kdesu)

Revision 1.2  2005/04/11 21:04:40  ankry
- formatting

Revision 1.1  2005/04/11 13:10:58  djurban
- themes in kdm, hello.
